package uebung03.polynomial;

public class POLNYOMIAL {
    private int[] koeff;
    private static int degree = 0;

    // Kontruktor für den die Koeffizienten übergeben werden
    public POLNYOMIAL(int[] koeff){
            koeff = this.koeff;
            degree = getDegree(koeff);
    }

    //Konstruktor für den immer gilt p(x) = x
    public POLNYOMIAL(){
        koeff = new int[1];
        degree = getDegree(koeff);
    }

    private int getDegree(int[] koeff) {
        int result = 0;
        for(int i = 0; i < koeff.length; i++ ){
            if (koeff[i] != 0) {
                result = i;
            }
        }
        return result;
    }

    
}
